# Blocks concentration

This module makes it possible to calculate the concentration of uniformly distributed blocks in a rock-ramp fish pass.

It allows to calculate one of the following values:

- The width of the pass (m)&nbsp;;
- The number of blocks&nbsp;;
- The diameter of the blocks (m)&nbsp;;
- The concentration of the blocks \(C\).

## Formula

The formula is detailed in the [rock-ramp fish pass](./macrorugo.md) documentation.

## Harmonization

When calculating the number of blocks, if it is not an integer, upward and downward harmonized numbers of blocks are given along with corresponding concentration values.

Tolerance is of the order of a centimetre.
